/* ========================================
   FILE PRINCIPALE CSS - RESCUE_SAT
   ======================================== */

/* Base */
@import url('base.css');

/* Layout principale */
@import url('top-bars.css?var=4.4');
@import url('map.css');
@import url('panels.css?var=1.2');
@import url('menus.css');

/* Pulsanti - organizzati per sezione */
@import url('buttons/main-buttons.css');
@import url('buttons/geodata-buttons.css');
@import url('buttons/hazard-buttons.css');
@import url('buttons/structure-buttons.css');
@import url('buttons/risk-buttons.css');
@import url('buttons/layer-buttons.css');
@import url('buttons/aree-calcolo-buttons.css');

/* Utilità globali */
@import url('utilities.css?v=11');
/* GPS */
@import url('gps-style.css');


@keyframes spinLoader {
  from { transform: rotate(0deg); }
  to   { transform: rotate(360deg); }
}

/* ========================================
   MOSTRA PANNELLI MODALITÀ QUANDO ATTIVI
   ======================================== */
#geodata-buttons.is-visible,
#hazard-buttons.is-visible,
#structure-buttons.is-visible,
#risk-buttons.is-visible {
    display: flex !important;
}



/*regole leaflet per desktop, per vedere pulsanti zoom e gps */
.leaflet-control-container,
.leaflet-top,
.leaflet-left,
.leaflet-right,
.leaflet-control,
.leaflet-control-zoom {
    display: block !important;
    visibility: visible !important;
    opacity: 1 !important;
}

.leaflet-top
{
    z-index: 4000 !important;
}

.leaflet-top.leaflet-left {
    top: 10px !important;
    left: 10px !important;
}

.leaflet-top.leaflet-right {
    top: 10px !important;
    right: 10px !important;
}






